[Ubuntu-BR] ainda problemas com os codecs

Saul Lima saul.listas em gmail.com
Terça Outubro 16 22:50:51 UTC 2007


"E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to
correct the problem.
E: _cache->open() failed, please report."

A solução está no prórpio problema... isso ocorre quando o dpkg é
interrompido abruptamente antes da configuração do pacote. Para resolver
basta fazer o que diz a mensagem de erro:

dpkg --configure -a







2007/10/16, Milton Peres <milton.peres em gmail.com>:
>
> Olá!!
> Você pode me mandar??
> milton.peres em gmail.com
> ou
> ms.peres em ibest.com.br
>
>
> Milton Peres
> Eduardo Matias escreveu:
> > Segue os scripts no corpo do email ... Se alguém se interessar, eu posso
> mandar os arquivos direto pro email pessoal.
> >
> > InstalarCodecs.sh
> > -------------------------INICIO InstalarCodecs.sh------------------------------------
> >
> > #!/bin/bash
> > #
> > # Script para Instalar Pacotes de Codesc, Plugins, etc
> > # Autor: Maxwel Gama Monteiro
> > # 12/09/2007
> >
> > # pacotes comuns
> > sudo apt-get install mpeg2dec a52dec vorbis-tools id3v2 mpg321 mpg123
> > sudo apt-get install libswfdec0.3 libflac++5c2 ffmpeg
> > sudo apt-get install cdda2wav toolame libmp4v2-0 totem-mozilla
> > sudo apt-get install libmjpegtools0c2a tagtool easytag id3tool
> > sudo apt-get install lame lame-extras nautilus-script-audio-convert
> > sudo apt-get install mozilla-helix-player helix-player
> > sudo apt-get install libmad0 libquicktime0 libjpeg-progs libmpcdec3
> > sudo apt-get install flac faac faad sox toolame a52dec
> > sudo apt-get install libmpeg2-4 uudeview flac libmpeg3-1
> >
> > # gstreammer 0.10
> > sudo apt-get install gstreamer0.10-ffmpeg gstreamer0.10-fluendo-mp3
> gstreamer0.10-fluendo-mpegdemux gstreamer0.10-gl gstreamer0.10-gnonlin
> gstreamer0.10-pitfdll gstreamer0.10-plugins-bad
> gstreamer0.10-plugins-farsight gstreamer0.10-plugins-ugly
> gstreamer0.10-sdl gstreamer0.10-plugins-bad-multiverse
> gstreamer0.10-plugins-ugly-multiverse totem-gstreamer
> >
> > # só para quem usa o gstreammer 0.8
> > #sudo apt-get install gstreamer0.8-a52dec gstreamer0.8-audiofile
> gstreamer0.8-ffmpeg gstreamer0.8-flac gstreamer0.8-jpeg gstreamer0.8-misc
> gstreamer0.8-mms gstreamer0.8-plugin-apps gstreamer0.8-plugins
> gstreamer0.8-sdl gstreamer0.8-speex gstreamer0.8-theora gstreamer0.8-tools
> gstreamer0.8-vorbis gstreamer0.8-aa gstreamer0.8-alsa
> gstreamer0.8-cdparanoia gstreamer0.8-dvd gstreamer0.8-mad
> gstreamer0.8-mpeg2dec gstreamer0.8-swfdec gstreamer0.8-x
> gstreamer0.8-dirac gstreamer0.8-faac gstreamer0.8-faad gstreamer0.8-lame
> gstreamer0.8-pitfdll gstreamer0.8-plugins-multiverse gstreamer0.8-xvid
> >
> > # flash
> > sudo apt-get install gsfonts gsfonts-x11 flashplugin-nonfree
> >
> > # avifiles (para quem vai usar avifile-player, raro ?)
> > #sudo apt-get install avifile-player avifile-utils avifile-mad-plugin
> avifile-mjpeg-plugin
> > #sudo apt-get install avifile-vorbis-plugin avifile-win32-plugin
> avifile-xvid-plugin
> > #sudo apt-get install avifile-win32-plugin avifile-divx-plugin
> avifile-utils
> > #sudo apt-get install avifile-xvid-plugin libavifile-0.7c2
> > #sudo apt-get install avifile-divx-plugin xvid4conf avifile-mad-plugin
> > #sudo apt-get install avifile-mjpeg-plugin avifile-vorbis-plugin
> >
> > # só para quem gosta de usar o mplayer
> > sudo apt-get install mplayer mplayer-fonts mplayer-skins mozilla-mplayer
> mencoder
> >
> > # só para quem gosta de usar o xine
> > sudo apt-get install totem-xine gxine libxine1-plugins
> libxine-extracodecs
> >
> > # para quem usa o K3b e/ou utilitários de composição de dvd/videos
> > #sudo apt-get install cdrdao vcdimager mjpegtools vcdtools transcode
> > #sudo apt-get install movixmaker-2 normalize-audio mp3gain
> > #sudo apt-get install k3b libk3b2-mp3
> >
> > #Codesc Proprietarios
> > #Verificar as ultimas veroes
> > #cd ~/Downloads
> > #wget -vc
> http://www.debian-multimedia.org/pool/main/w/w32codecs/w32codecs_20061022-0.1_i386.deb
> > #cd
> >
> > sudo dpkg -i /media/sda2/UTILS/VIDEO/codecs/w32codecs_20061022-
> 0.1_i386.deb
> > sudo apt-get install  libdvdread3
> > sudo /usr/share/doc/libdvdread3/install-css.sh
> > #sudo /media/HD2/UTILS/VIDEO/codecs/divx4linux-20030428/install.sh
> >
> >
> > -------------------------FIM InstalarCodecs.sh------------------------------------
> >
> >
> > InstalarCodecs.gutsy.sh
> >
> > -------------------------INICIO InstalarCodecs.gutsy.sh------------------------------------
> >
> > #!/bin/bash
> > #
> > # Script para Instalar Pacotes de Codesc, Plugins, etc
> > # Autor: Maxwel Gama Monteiro
> > # 14/10/2007
> >
> > # pacotes comuns
> > sudo apt-get -y install mpeg2dec a52dec vorbis-tools id3v2 mpg321 mpg123
> libswfdec0.3 libflac++6 ffmpeg cdda2wav toolame libmp4v2-0 totem-mozilla
> libmjpegtools0c2a tagtool easytag id3tool lame lame-extras
> nautilus-script-audio-convert mozilla-helix-player  helix-player libmad0
> libjpeg-progs libmpcdec3 libquicktime1 flac faac faad sox toolame  a52dec
> ffmpeg2theora libmpeg2-4 uudeview flac  libmpeg3-1 mpeg3-utils mpegdemux
> >
> > # gstreammer 0.10
> > sudo apt-get install -y gstreamer0.10-ffmpeg gstreamer0.10-fluendo-mp3
> gstreamer0.10-fluendo-mpegdemux gstreamer0.10-gl gstreamer0.10-gnonlin
> gstreamer0.10-pitfdll gstreamer0.10-plugins-bad
> gstreamer0.10-plugins-farsight gstreamer0.10-plugins-ugly
> gstreamer0.10-sdl gstreamer0.10-plugins-bad-multiverse
> gstreamer0.10-schroedinger gstreamer0.10-plugins-ugly-multiversetotem-gstreamer
> >
> > # mais programas
> > sudo apt-get -y install gstreamer-dbus-media-service gstreamer-tools
> >
> > # flash
> > sudo apt-get -y install  gsfonts gsfonts-x11 flashplugin-nonfree
> >
> > # avifiles (para quem vai usar avifile-player, raro ?)
> > sudo apt-get -y install avifile-player avifile-utils avifile-mad-plugin
> avifile-mjpeg-plugin avifile-vorbis-plugin avifile-win32-plugin
> avifile-xvid-plugin avifile-win32-plugin avifile-divx-plugin avifile-utils
> avifile-xvid-plugin avifile-divx-plugin xvid4conf avifile-mjpeg-plugin
> avifile-vorbis-plugin avifile-mad-plugin
> >
> > # só para quem gosta de usar o mplayer (eu uso)
> > sudo apt-get -y install  mplayer mplayer-fonts
> mplayer-skins  mozilla-mplayer mencoder
> >
> > # só para quem gosta de usar o xine
> > sudo apt-get -y install totem-xine gxine libxine1-plugins
> libxine-extracodecs
> >
> > # para quem usa o K3b e/ou utilitários de composição de dvd/videos
> > sudo apt-get -y install cdrdao vcdimager mjpegtools vcdtools transcode
> > sudo apt-get -y install movixmaker-2 normalize-audio mp3gain
> > #sudo apt-get -y install k3b libk3b2-mp3 k3b-i18n
> >
> > sudo gnome-app-install --xul-extensions=firefox
> >
> > sudo dpkg -i /media/HD2/UTILS/VIDEO/codecs/w32codecs_20061022-
> 0.1_i386.deb
> > sudo apt-get install  libdvdread3
> > sudo /usr/share/doc/libdvdread3/install-css.sh
> >
> > # Fontes
> > sudo apt-get -y install msttcorefonts
> > sudo apt-get -y install ttf-larabie-straight ttf-larabie-deco
> mplayer-fonts xfonts-terminus-dos xfonts-terminus xfonts-terminus-oblique
> xfonts-mona tv-fonts ttf-tuffy ttf-sjfonts ttf-sil-padauk ttf-sil-ezra
> ttf-paktype ttf-georgewilliams ttf-fifthhorseman-dkg-handwriting
> ttf-farsiweb ttf-essays1743 fonty ttf-opensymbol ttf-nafees ttf-mgopen
> ttf-gentium ttf-freefont ttf-dustin ttf-devanagari-fonts ttf-dejavu-extra
> ttf-dejavu-core ttf-dejavu ttf-bpg-georgian-fonts ttf-bitstream-vera
> ttf-alee
> >
> > # Java
> > sudo apt-get -y install sun-java6-bin sun-java6-fonts sun-java6-jre
> sun-java6-plugin
> > sudo apt-get -y install equivs ttf-sazanami-gothic ttf-sazanami-mincho
> >
> >
> > -------------------------FIM InstalarCodecs.gutsy.sh------------------------------------
> >
> >
> >
> > Eduardo Matias <sismiko em yahoo.com> wrote: Hummm,
> >
> > eu acho que não posso postar anexos. Compactei pra fazer um teste.
> >
> > Fabiano
> >  wrote: Não consegui pegar os anexos, poderia mandar novamente?
> >
> >
> > Eduardo Matias escreveu:
> >
> >> Ienise,
> >>
> >> segue em anexo dois scripts para instalar todos os codecs, um para o
> 7.04 e o outro para o 7.10.
> >>
> >> Você baixa o script e da permissão de execução no arquivo ( chmod +x
> nome_do_arquivo ), aí executa conectada na internet qe ele vai baixar todos
> os codecs.
> >>
> >> Estes scripts são fruto de um trabalho realizado por um amigo, o qual
> foi baseado em emails trocados aqui na lista.
> >>
> >> PS: Antes de executar o script, desinstala o codec que tá dando
> problema.
> >>
> >> Boa sorte.
> >>
> >>
> >>
> >> lenise  wrote: oi, gente,
> >>
> >> a versão que uso do ubuntu é a 7.0.4. procurei os plugins que posso
> instalar
> >> no adicionar/remover segui todas instruções de você me deram, mas a
> hora em
> >> que seleciono o plugin desejado, aplico e digito minha senha da uma
> >> mensagem.
> >>
> >> ocorreu erro:
> >>
> >> E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to
> >> correct the problem.
> >> E: _cache->open() failed, please report.
> >>
> >> que será que tá acontecendo, gente?
> >>
> >> se puderem me ajudar mais uma vez, agradeço!
> >>
> >> abraços,
> >>
> >>
> >> lenise regina
> >> revisório de textos
> >> www.revisoriodetextos.com
> >>
> >>
> >
> >
>
> --
> Interessado em aprender mais sobre o Ubuntu em português?
> http://wiki.ubuntu-br.org/ComeceAqui  -
> ubuntu-br mailing list
> ubuntu-br em lists.ubuntu.com
> https://lists.ubuntu.com/mailman/listinfo/ubuntu-br
>



More information about the ubuntu-br mailing list